Subject: Fwd: RFC 5378 representation

From: Fred Baker <[email-masked]>
Date: Thu, 18 Dec 2008 14:58:42 -0800

For the record, I have sent the following email to the IAD, signed  
using my PGP key. I would encourage others to send similar notes.

> From: Fred Baker <[email-masked]>
> Date: December 18, 2008 2:56:20 PM PST
> To: [email-masked]
> Cc: Trustees <[email-masked]>
> Subject: RFC 5378 representation
>
> I, Fred Baker, am one of the authors or editors of a variety of RFCs  
> whose publication pre-dates RFC 5378, noted at the end of this  
> email. I speak for myself, but not for my co-authors or co-editors  
> or any current or previous employer.
>
> I have always understood that work that I did in the community and  
> contributions that I made to it belonged to the community. In one  
> case, the community asked me to describe an algorithm that my  
> employer described in a web page in an internet draft; On that, I  
> did not seek my employer's release, and so did not authorize  
> derivative works from that internet draft (http://tools.ietf.org/html/draft-baker-sava-cisco-ip-source-guard 
> ). In all other cases, I authorize the IETF to produce works  
> derivative from my past efforts, and disclaim any rights that would  
> prevent it from doing so.
> RFC 1220
> Point-to-Point Protocol extensions for bridging. F. Baker. April 1  
> 1991. (Format: TXT=38165 bytes) (Obsoleted by RFC 1638) (Status:  
> PROPOSED STANDARD)
> RFC 1232
> Definitions of managed objects for the DS1 Interface type. F. Baker,  
> C.P. Kolb. May 1991. (Format: TXT=60757 bytes) (Obsoleted by RFC  
> 1406) (Updated by RFC 1239) (Status: PROPOSED STANDARD)
> RFC 1248
> OSPF Version 2 Management Information Base. F. Baker, R. Coltun.  
> July 1991. (Format: TXT=74347 bytes) (Obsoleted by RFC 1252)  
> (Updated by RFC 1349) (Status: PROPOSED STANDARD)
> RFC 1252
> OSPF Version 2 Management Information Base. F. Baker, R. Coltun.  
> August 1991. (Format: TXT=74471 bytes) (Obsoletes RFC 1248)  
> (Obsoleted by RFC 1253) (Also RFC 1247, RFC 1245) (Status: PROPOSED  
> STANDARD)
> RFC 1253
> OSPF Version 2 Management Information Base. F. Baker, R. Coltun.  
> August 1991. (Format: TXT=74453 bytes) (Obsoletes RFC 1252)  
> (Obsoleted by RFC 1850) (Also RFC 1247, RFC 1245, RFC 1246) (Status:  
> PROPOSED STANDARD)
> RFC 1315
> Management Information Base for Frame Relay DTEs. C. Brown, F.  
> Baker, C. Carvalho. April 1992. (Format: TXT=33825 bytes) (Obsoleted  
> by RFC 2115) (Status: PROPOSED STANDARD)
> RFC 1354
> IP Forwarding Table MIB. F. Baker. July 1992. (Format: TXT=24905  
> bytes) (Obsoleted by RFC 2096) (Status: PROPOSED STANDARD)
> RFC 1381
> SNMP MIB Extension for X.25 LAPB. D. Throop, F. Baker. November  
> 1992. (Format: TXT=71253 bytes) (Status: PROPOSED STANDARD)
> RFC 1389
> RIP Version 2 MIB Extensions. G. Malkin, F. Baker. January 1993.  
> (Format: TXT=23569 bytes) (Obsoleted by RFC 1724) (Status: PROPOSED  
> STANDARD)
> RFC 1406
> Definitions of Managed Objects for the DS1 and E1 Interface Types.  
> F. Baker, J. Watt, Eds.. January 1993. (Format: TXT=97559 bytes)  
> (Obsoletes RFC 1232) (Obsoleted by RFC 2495) (Status: PROPOSED  
> STANDARD)
> RFC 1638
> PPP Bridging Control Protocol (BCP). F. Baker, R. Bowen. June 1994.  
> (Format: TXT=58477 bytes) (Obsoletes RFC 1220) (Obsoleted by RFC  
> 2878) (Status: PROPOSED STANDARD)
> RFC 1724
> RIP Version 2 MIB Extension. G. Malkin, F. Baker. November 1994.  
> (Format: TXT=29645 bytes) (Obsoletes RFC 1389) (Status: DRAFT  
> STANDARD)
> RFC 1749
> IEEE 802.5 Station Source Routing MIB using SMIv2. K. McCloghrie, F.  
> Baker, E. Decker. December 1994. (Format: TXT=17563 bytes) (Updates  
> RFC 1748) (Status: HISTORIC)
> RFC 1812
> Requirements for IP Version 4 Routers. F. Baker, Ed.. June 1995.  
> (Format: TXT=415740 bytes) (Obsoletes RFC 1716, RFC 1009) (Updated  
> by RFC 2644) (Status: PROPOSED STANDARD)
> RFC 1850
> OSPF Version 2 Management Information Base. F. Baker, R. Coltun.  
> November 1995. (Format: TXT=140255 bytes) (Obsoletes RFC 1253)  
> (Obsoleted by RFC 4750) (Status: DRAFT STANDARD)
> RFC 2082
> RIP-2 MD5 Authentication. F. Baker, R. Atkinson. January 1997.  
> (Format: TXT=25436 bytes) (Obsoleted by RFC 4822) (Status: PROPOSED  
> STANDARD)
> RFC 2096
> IP Forwarding Table MIB. F. Baker. January 1997. (Format: TXT=35930  
> bytes) (Obsoletes RFC 1354) (Obsoleted by RFC 4292) (Status:  
> PROPOSED STANDARD)
> RFC 2115
> Management Information Base for Frame Relay DTEs Using SMIv2. C.  
> Brown, F. Baker. September 1997. (Format: TXT=59950 bytes)  
> (Obsoletes RFC 1315) (Status: DRAFT STANDARD)
> RFC 2206
> RSVP Management Information Base using SMIv2. F. Baker, J. Krawczyk,  
> A. Sastry. September 1997. (Format: TXT=112937 bytes) (Status:  
> PROPOSED STANDARD)
> RFC 2208
> Resource ReSerVation Protocol (RSVP) -- Version 1 Applicability  
> Statement Some Guidelines on Deployment. A. Mankin, Ed., F. Baker,  
> B. Braden, S. Bradner, M. O`Dell, A. Romanow, A. Weinrib, L. Zhang.  
> September 1997. (Format: TXT=14289 bytes) (Status: INFORMATIONAL)
> RFC 2213
> Integrated Services Management Information Base using SMIv2. F.  
> Baker, J. Krawczyk, A. Sastry. September 1997. (Format: TXT=36147  
> bytes) (Status: PROPOSED STANDARD)
> RFC 2214
> Integrated Services Management Information Base Guaranteed Service  
> Extensions using SMIv2. F. Baker, J. Krawczyk, A. Sastry. September  
> 1997. (Format: TXT=15971 bytes) (Status: PROPOSED STANDARD)
> RFC 2382
> A Framework for Integrated Services and RSVP over ATM. E. Crawley,  
> Ed., L. Berger, S. Berson, F. Baker, M. Borden, J. Krawczyk. August  
> 1998. (Format: TXT=73865 bytes) (Status: INFORMATIONAL)
> RFC 2474
> Definition of the Differentiated Services Field (DS Field) in the  
> IPv4 and IPv6 Headers. K. Nichols, S. Blake, F. Baker, D. Black.  
> December 1998. (Format: TXT=50576 bytes) (Obsoletes RFC 1455, RFC  
> 1349) (Updated by RFC 3168, RFC 3260) (Status: PROPOSED STANDARD)
> RFC 2597
> Assured Forwarding PHB Group. J. Heinanen, F. Baker, W. Weiss, J.  
> Wroclawski. June 1999. (Format: TXT=24068 bytes) (Updated by RFC  
> 3260) (Status: PROPOSED STANDARD)
> RFC 2747
> RSVP Cryptographic Authentication. F. Baker, B. Lindell, M. Talwar.  
> January 2000. (Format: TXT=49477 bytes) (Updated by RFC 3097)  
> (Status: PROPOSED STANDARD)
> RFC 2804
> IETF Policy on Wiretapping. IAB, IESG. May 2000. (Format: TXT=18934  
> bytes) (Status: INFORMATIONAL)
> RFC 2814
> SBM (Subnet Bandwidth Manager): A Protocol for RSVP-based Admission  
> Control over IEEE 802-style networks. R. Yavatkar, D. Hoffman, Y.  
> Bernet, F. Baker, M. Speer. May 2000. (Format: TXT=141886 bytes)  
> (Status: PROPOSED STANDARD)
> RFC 2860
> Memorandum of Understanding Concerning the Technical Work of the  
> Internet Assigned Numbers Authority. B. Carpenter, F. Baker, M.  
> Roberts. June 2000. (Format: TXT=12361 bytes) (Status: INFORMATIONAL)
> RFC 2998
> A Framework for Integrated Services Operation over Diffserv  
> Networks. Y. Bernet, P. Ford, R. Yavatkar, F. Baker, L. Zhang, M.  
> Speer, R. Braden, B. Davie, J. Wroclawski, E. Felstaine. November  
> 2000. (Format: TXT=76378 bytes) (Status: INFORMATIONAL)
> RFC 3175
> Aggregation of RSVP for IPv4 and IPv6 Reservations. F. Baker, C.  
> Iturralde, F. Le Faucheur, B. Davie. September 2001. (Format:  
> TXT=88681 bytes) (Status: PROPOSED STANDARD)
> RFC 3289
> Management Information Base for the Differentiated Services  
> Architecture. F. Baker, K. Chan, A. Smith. May 2002. (Format:  
> TXT=239041 bytes) (Status: PROPOSED STANDARD)
> RFC 3518
> Point-to-Point Protocol (PPP) Bridging Control Protocol (BCP). M.  
> Higashiyama, F. Baker, T. Liao. April 2003. (Format: TXT=82102  
> bytes) (Obsoletes RFC 2878) (Status: PROPOSED STANDARD)
> RFC 3704
> Ingress Filtering for Multihomed Networks. F. Baker, P. Savola.  
> March 2004. (Format: TXT=35942 bytes) (Updates RFC 2827) (Also  
> BCP0084) (Status: BEST CURRENT PRACTICE)
> RFC 3716
> The IETF in the Large: Administration and Execution. IAB Advisory  
> Committee. March 2004. (Format: TXT=91326 bytes) (Status:  
> INFORMATIONAL)
> RFC 3924
> Cisco Architecture for Lawful Intercept in IP Networks. F. Baker, B.  
> Foster, C. Sharp. October 2004. (Format: TXT=40826 bytes) (Status:  
> INFORMATIONAL)
> RFC 4053
> Procedures for Handling Liaison Statements to and from the IETF. S.  
> Trowbridge, S. Bradner, F. Baker. April 2005. (Format: TXT=38816  
> bytes) (Also BCP0103) (Status: BEST CURRENT PRACTICE)
> RFC 4192
> Procedures for Renumbering an IPv6 Network without a Flag Day. F.  
> Baker, E. Lear, R. Droms. September 2005. (Format: TXT=52110 bytes)  
> (Updates RFC 2072) (Status: INFORMATIONAL)
> RFC 4542
> Implementing an Emergency Telecommunications Service (ETS) for Real- 
> Time Services in the Internet Protocol Suite. F. Baker, J. Polk. May  
> 2006. (Format: TXT=99770 bytes) (Status: INFORMATIONAL)
> RFC 4594
> Configuration Guidelines for DiffServ Service Classes. J. Babiarz,  
> K. Chan, F. Baker. August 2006. (Format: TXT=144044 bytes) (Status:  
> INFORMATIONAL)
> RFC 4750
> OSPF Version 2 Management Information Base. D. Joyal, Ed., P.  
> Galecki, Ed., S. Giacalone, Ed., R. Coltun, F. Baker. December 2006.  
> (Format: TXT=222459 bytes) (Obsoletes RFC 1850) (Status: PROPOSED  
> STANDARD)
> RFC 4923
> Quality of Service (QoS) Signaling in a Nested Virtual Private  
> Network. F. Baker, P. Bose. August 2007. (Format: TXT=92632 bytes)  
> (Status: INFORMATIONAL)
> RFC 5127
> Aggregation of DiffServ Service Classes. K. Chan, J. Babiarz, F.  
> Baker. February 2008. (Format: TXT=43751 bytes) (Status:  
> INFORMATIONAL)

_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Fred Baker <[email-masked]>
Date: Thu, 18 Dec 2008 15:10:13 -0800

So, having just cleared this note with the Trustees, sending it in,  
and forwarding the note to the IETF list, I observe http://trustee.ietf.org/docs/Contributor_Non-Exclusive_License_RFC5378.pdf 
.

By all means, folks, use the form.

<!@#$%^>

On Dec 18, 2008, at 2:58 PM, Fred Baker wrote:

>> I, Fred Baker, am one of the authors or editors of a variety of  
>> RFCs whose publication pre-dates RFC 5378, noted at the end of this  
>> Definitions of managed objects for the DS1 Interface type. F.  
>> Baker, C.P. Kolb. May 1991. (Format: TXT=60757 bytes) (Obsoleted by  
>> RFC 1406) (Updated by RFC 1239) (Status: PROPOSED STANDARD)
>> RFC 1248
>> (Obsoleted by RFC 1850) (Also RFC 1247, RFC 1245, RFC 1246)  
>> Baker, C. Carvalho. April 1992. (Format: TXT=33825 bytes)  
>> (Obsoleted by RFC 2115) (Status: PROPOSED STANDARD)
>> RFC 1354
>> IEEE 802.5 Station Source Routing MIB using SMIv2. K. McCloghrie,  
>> F. Baker, E. Decker. December 1994. (Format: TXT=17563 bytes)  
>> (Updates RFC 1748) (Status: HISTORIC)
>> RFC 1812
>> RSVP Management Information Base using SMIv2. F. Baker, J.  
>> Krawczyk, A. Sastry. September 1997. (Format: TXT=112937 bytes)  
>> Cisco Architecture for Lawful Intercept in IP Networks. F. Baker,  
>> B. Foster, C. Sharp. October 2004. (Format: TXT=40826 bytes)  
>> (Status: INFORMATIONAL)
>> RFC 4053
>> Time Services in the Internet Protocol Suite. F. Baker, J. Polk.  
>> May 2006. (Format: TXT=99770 bytes) (Status: INFORMATIONAL)
>> RFC 4594
>> Galecki, Ed., S. Giacalone, Ed., R. Coltun, F. Baker. December  
>> 2006. (Format: TXT=222459 bytes) (Obsoletes RFC 1850) (Status:  
>> PROPOSED STANDARD)
>> RFC 4923

---

From: Christian Huitema <[email-masked]>
Date: Fri, 19 Dec 2008 18:02:51 -0800

On Thursday, December 18, 2008 3:10 PM, Fred Baker wrote:

> So, having just cleared this note with the Trustees, sending it in, and forwarding the note to the IETF > list, I observe http://trustee.ietf.org/docs/Contributor_Non-Exclusive_License_RFC5378.pdf.

Fred,

Some of these RFC were written when you were working for ACC. This is a fairly common situation among us. I have written RFC as an employee of INRIA, Bellcore/Telcordia, and Microsoft. Just curious, did you check with whoever bought ACC's intellectual property rights?

-- Christian Huitema

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 22 Dec 2008 10:34:34 -0700

> By all means, folks, use the form.

That link does not seem to work for me.

---

From: Fred Baker <[email-masked]>
Date: Fri, 19 Dec 2008 18:38:35 -0800

On Dec 19, 2008, at 6:02 PM, Christian Huitema wrote:

> Some of these RFC were written when you were working for ACC. This  
> is a fairly common situation among us. I have written RFC as an  
> employee of INRIA, Bellcore/Telcordia, and Microsoft. Just curious,  
> did you check with whoever bought ACC's intellectual property rights?

No; that would be Ericsson, I suppose. I also didn't try to figure out  
who owns whatever might remain from Vitalink, whom I worked for when I  
started 1220 and 1232. What I did was state that I was representing my  
own viewpoint, and not that of any co-authors, co-editors, employers,  
or previous employers. I'm taking myself out of the loop, and others  
will have to speak for themselves.
_______________________________________________
Ietf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Ray Pelletier <[email-masked]>
Date: Mon, 22 Dec 2008 13:43:57 -0500

> That link does not seem to work for me.

The 5378 License is undergoing legal review and revision.  We will  
announce when it returns so that authors of pre-5378  documents can  
grant 5378 licenses to the Trust.

Ray

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 22 Dec 2008 12:01:29 -0700

Just as FYI for others, the link is now up and points to a doc that is  
a placeholder while some fixes get made to it.